AbstractDict (Jython API documentation)
Date: 2024-08-18

org.python.core

## Class AbstractDict

- java.lang.Object
- - org.python.core.PyObject
  - - org.python.core.AbstractDict

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    PyDictionary, PyStringMap

      public abstract class AbstractDict
      extends PyObject

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.python.core.PyObject

      `PyObject.ConversionException`

  - ### Field Summary

    - ### Fields inherited from class org.python.core.PyObject

      `gcMonitorGlobal, TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractDict(PyType type)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract void` | `clear()`
    `abstract AbstractDict` | `copy()`
    `abstract java.util.Set` | `entrySet()`
    `abstract PyObject` | `get(PyObject key)`
    `abstract PyObject` | `get(PyObject key, PyObject defaultObj)`
    `abstract java.util.concurrent.ConcurrentMap<? extends java.lang.Object,PyObject>` | `getMap()`
    `abstract boolean` | `has_key(PyObject key)`
    `abstract PyList` | `items()`
    `abstract PyObject` | `iteritems()`
    `abstract PyObject` | `iterkeys()`
    `abstract PyObject` | `itervalues()`
    `abstract PyList` | `keys()`
    `abstract void` | `merge(PyObject other, boolean override)`
    `abstract void` | `mergeFromKeys(PyObject other, PyObject keys, boolean override)`
    `abstract void` | `mergeFromSeq(PyObject other, boolean override)`
    `abstract PyObject` | `pop(PyObject key)`
    `abstract PyObject` | `pop(PyObject key, PyObject defaultValue)`
    `abstract PyObject` | `popitem()`
    `abstract java.util.Set<PyObject>` | `pyKeySet()`
    `abstract PyObject` | `setdefault(PyObject key)`
    `abstract PyObject` | `setdefault(PyObject key, PyObject failobj)`
    `abstract void` | `update(PyObject other)`
    `abstract java.util.Collection<? extends java.lang.Object>` | `values()`
    `PyObject` | `viewitems()` Returns a dict_items on the dictionary's items
    `PyObject` | `viewkeys()` Returns a dict_keys on the dictionary's keys
    `PyObject` | `viewvalues()` Returns a dict_values on the dictionary's values

    - ### Methods inherited from class org.python.core.PyObject

      `__abs__, __add__, __and__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __cmp__, __coerce__, __coerce_ex__, __complex__, __contains__, __delattr__, __delattr__, __delete__, __delitem__, __delitem__, __delslice__, __delslice__, __dir__, __div__, __divmod__, __ensure_finalizer__, __eq__, __findattr__, __findattr__, __findattr_ex__, __finditem__, __finditem__, __finditem__, __float__, __floordiv__, __format__, __ge__, __get__, __getattr__, __getattr__, __getitem__, __getitem__, __getnewargs__, __getslice__, __getslice__, __gt__, __hash__, __hex__, __iadd__, __iand__, __idiv__, __idivmod__, __ifloordiv__, __ilshift__, __imod__, __imul__, __index__, __int__, __invert__, __ior__, __ipow__, __irshift__, __isub__, __iter__, __iternext__, __itruediv__, __ixor__, __le__, __len__, __long__, __lshift__, __lt__, __mod__, __mul__, __ne__, __neg__, __nonzero__, __not__, __oct__, __or__, __pos__, __pow__, __pow__, __radd__, __rand__, __rdiv__, __rdivmod__, __reduce__, __reduce_ex__, __reduce_ex__, __repr__, __rfloordiv__, __rlshift__, __rmod__, __rmul__, __ror__, __rpow__, __rrshift__, __rshift__, __rsub__, __rtruediv__, __rxor__, __set__, __setattr__, __setattr__, __setitem__, __setitem__, __setitem__, __setslice__, __setslice__, __str__, __sub__, __tojava__, __truediv__, __trunc__, __unicode__, __xor__, _add, _and, _callextra, _cmp, _div, _divmod, _doget, _doget, _doset, _eq, _floordiv, _ge, _gt, _iadd, _iand, _idiv, _idivmod, _ifloordiv, _ilshift, _imod, _imul, _in, _ior, _ipow, _irshift, _is, _isnot, _isub, _itruediv, _ixor, _jcall, _jcallexc, _jthrow, _le, _lshift, _lt, _mod, _mul, _ne, _notin, _or, _pow, _rshift, _sub, _truediv, _xor, asDouble, asIndex, asIndex, asInt, asInt, asIterable, asLong, asLong, asName, asName, asString, asString, asStringOrNull, asStringOrNull, bit_length, conjugate, delDict, delType, dispatch__init__, equals, fastGetClass, fastGetDict, getDict, getType, hashCode, implementsDescrDelete, implementsDescrGet, implementsDescrSet, invoke, invoke, invoke, invoke, invoke, invoke, isCallable, isDataDescr, isIndex, isInteger, isMappingType, isNumberType, isSequenceType, noAttributeError, object___subclasshook__, readonlyAttributeError, setDict, setType, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractDict

          public AbstractDict(PyType type)

  - ### Method Detail

    - #### clear

          public abstract void clear()

    - #### copy

          public abstract AbstractDict copy()

    - #### get

          public abstract PyObject get(PyObject key)

    - #### get

          public abstract PyObject get(PyObject key,
                                       PyObject defaultObj)

    - #### getMap

          public abstract java.util.concurrent.ConcurrentMap<? extends java.lang.Object,PyObject> getMap()

    - #### has_key

          public abstract boolean has_key(PyObject key)

    - #### items

          public abstract PyList items()

    - #### iteritems

          public abstract PyObject iteritems()

    - #### iterkeys

          public abstract PyObject iterkeys()

    - #### itervalues

          public abstract PyObject itervalues()

    - #### keys

          public abstract PyList keys()

    - #### merge

          public abstract void merge(PyObject other,
                                     boolean override)

    - #### mergeFromKeys

          public abstract void mergeFromKeys(PyObject other,
                                             PyObject keys,
                                             boolean override)

    - #### mergeFromSeq

          public abstract void mergeFromSeq(PyObject other,
                                            boolean override)

    - #### pop

          public abstract PyObject pop(PyObject key)

    - #### pop

          public abstract PyObject pop(PyObject key,
                                       PyObject defaultValue)

    - #### popitem

          public abstract PyObject popitem()

    - #### setdefault

          public abstract PyObject setdefault(PyObject key)

    - #### setdefault

          public abstract PyObject setdefault(PyObject key,
                                              PyObject failobj)

    - #### update

          public abstract void update(PyObject other)

    - #### values

          public abstract java.util.Collection<? extends java.lang.Object> values()

    - #### pyKeySet

          public abstract java.util.Set<PyObject> pyKeySet()

    - #### entrySet

          public abstract java.util.Set entrySet()

    - #### viewkeys

          public PyObject viewkeys()

      Returns a dict_keys on the dictionary's keys

    - #### viewitems

          public PyObject viewitems()

      Returns a dict_items on the dictionary's items

    - #### viewvalues

          public PyObject viewvalues()

      Returns a dict_values on the dictionary's values

Jython homepage